# ../scripts/custom/gg_scoreboard/gg_scoreboard_config.py

# =============================================================================
# >> IMPORTS
# =============================================================================
# Python Imports
from __future__ import with_statement
from path import path

# GunGame Imports
from gungame51.core.cfg.configs import ConfigContextManager


# =============================================================================
# >> LOAD & UNLOAD
# =============================================================================
def load():

    # Create the cfg file
    with ConfigContextManager(
      path(__file__).parent.split('scripts')[~0][1:]) as config:

        # Create the gg_scoreboard instance
        with config.cfg_cvar('gg_scoreboard') as cvar:

            cvar.name = 'GG SCOREBOARD'
            cvar.description.append('Set player scores to their level.')
            cvar.options.append('0 = (Disabled) Do not load gg_scoreboard.')
            cvar.options.append('1 = (Enabled) Load gg_scoreboard.')
            cvar.default = 0
            cvar.text = 'Enables/Disables gg_scoreboard.'

        # Create the gg_scoreboard_multikill instance
        with config.cfg_cvar('gg_scoreboard_multikill') as cvar:

            cvar.name = 'GG SCOREBOARD MULTIKILL'
            cvar.description.append(
                'Set player death amount to their current multikill ' +
                'value or their remaining kills on their current level.')
            cvar.options.append(
                '0 = (Disabled) Do not set deaths to multikill value.')
            cvar.options.append('1 = Set deaths to current multikill value.')
            cvar.options.append(
                '2 = Set deaths to kills remaining on current level.')
            cvar.default = 0
            cvar.text = ('Enables/Disables setting deaths to ' +
                'current multikill value or kills remaining.')
